Bug 10004 - не отображается русский при поиске
: не отображается русский при поиске
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/less)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 10446
  Show dependency tree
 
Reported: 2006-09-15 11:23 by
Modified: 2008-03-14 13:31 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-09-15 11:23:33
ну хоть это всем и изветстно, но...

в less при поиске русские буковки не отображаются(либо отображаются не верно). 
посему затруднён поиск в less/русских man.

актуальная версия (394) сего досадного для русскоязычного люда недостатка не 
имеет (проверено). Может подобновить?
------- Comment #1 From 2006-09-18 12:35:49 -------
Странно, но не подтверждаю.
less-382-alt2, да и раньше работало. Гляньте переменные окружения.
------- Comment #2 From 2006-09-18 12:50:12 -------
Ничего странного, баг давно известен и пофикшен в более новых версиях (начиная 
с 388) - http://www.greenwoodsoftware.com/less/bugs.html
Просто я не посчитал нужным (за что прошу прощения) указывать что это при 
UTF-8. Подумал, что это и так понятно, потому как в koi поиск, естественно, 
работает не ура. Но а нынче в alt utf-8 вроде как стандарт.
------- Comment #3 From 2006-12-15 19:35:11 -------
Артём, less-394-alt1, в котором эта бага исправлена (сам проверял) доступен в
git: http://git.altlinux.org/people/php_coder/packages/?p=less.git;a=summary
------- Comment #4 From 2007-03-06 00:05:14 -------
(In reply to comment #3)
> Артём, less-394-alt1, в котором эта бага исправлена (сам проверял) доступен в
> git: http://git.altlinux.org/people/php_coder/packages/?p=less.git;a=summary

Да, действительно работает. Подтверждаю, проблем с русским нет.
Остаётся надеяться, что Дмитрий сможет найти минуточку для обновления less.
------- Comment #5 From 2007-03-31 21:04:13 -------
Fixed in 394-alt1.
------- Comment #6 From 2007-04-07 21:38:27 -------
394-alt1 - ok